## Enumerations

Enumerations — Common enumerations

## Types and Values

enum | TrackerDirectoryFlags
enum | TrackerFilterPolicy
enum | TrackerFilterType

## Includes

    #include <libtracker-miner/tracker-miner-enums.h>

## Description

Common enumeration types used in libtracker-miner.

## Functions

## Types and Values

### enum TrackerDirectoryFlags

Flags used when adding a new directory to be indexed in the TrackerIndexingTree.

#### Members

TRACKER_DIRECTORY_FLAG_NONE | No flags. |
TRACKER_DIRECTORY_FLAG_RECURSE | Should recurse in the directory. |
TRACKER_DIRECTORY_FLAG_CHECK_MTIME | Should check mtimes of items in the directory. |
TRACKER_DIRECTORY_FLAG_MONITOR | Should setup monitors in the items found in the directory. |
TRACKER_DIRECTORY_FLAG_IGNORE | Should ignore the directory contents. |
TRACKER_DIRECTORY_FLAG_PRESERVE | Should preserve items in the directory even if the directory gets removed. |
TRACKER_DIRECTORY_FLAG_PRIORITY | Internally a priority queue is used and this flag makes sure the directory is given a priority over other directories queued. |

### enum TrackerFilterPolicy

Flags used when defining default filter policy in the TrackerIndexingTree.

#### Members

TRACKER_FILTER_POLICY_DENY | Items matching the filter will be skipped. |
TRACKER_FILTER_POLICY_ACCEPT | Items matching the filter will be accepted. |

### enum TrackerFilterType

Flags used when adding a new filter in the TrackerIndexingTree.

#### Members

TRACKER_FILTER_FILE | All files matching this filter will be filtered out. |
TRACKER_FILTER_DIRECTORY | All directories matching this filter will be filtered out. |
TRACKER_FILTER_PARENT_DIRECTORY | All files in directories matching this filter will be filtered out. |